Subject: Re: Problem building (all) Perl Modules
From: "Gerrit P. Haase" <[email-masked]>
To: "Dominique Pasquier" <[email-masked]>
Cc: [email-masked]
Date: Thu, 24 May 2001 19:50:27 +0200

Dominique Pasquier schrieb am 2001-05-24, 12:34:

> For that particular examples with Math::GMP:

Is it in special with this module or with every other too?

As i saw the output of your make, i thought, you haven't
installed libgmp.

Do you have libgmp?

gph

cpan> install Math::GMP
Running install for module Math::GMP
Running make for C/CH/CHIPT/Math-GMP-1.07.tar.gz
Fetching with LWP:
  ftp://ftp.funet.fi/pub/languages/perl/CPAN/authors/id/C/CH/CHIPT/Math-GMP-1.07.tar.gz
CPAN: MD5 loaded ok
Fetching with LWP:
  ftp://ftp.funet.fi/pub/languages/perl/CPAN/authors/id/C/CH/CHIPT/CHECKSUMS
Checksum for /home/siebenschlaefer/.cpan/sources/authors/id/C/CH/CHIPT/Math-GMP-1.07.tar.gz ok
Scanning cache /home/siebenschlaefer/.cpan/build for sizes
Math-GMP-1.07/
Math-GMP-1.07/GMP.pm
Math-GMP-1.07/README
Math-GMP-1.07/LICENSE
Math-GMP-1.07/MANIFEST
Math-GMP-1.07/test.pl
Math-GMP-1.07/typemap
Math-GMP-1.07/GMP.xs
Math-GMP-1.07/Changes
Math-GMP-1.07/Makefile.PL
Math-GMP-1.07/gmp-2.0.2.tar.gz
Math-GMP-1.07/COPYING.LIB

  CPAN.pm: Going to build C/CH/CHIPT/Math-GMP-1.07.tar.gz

Configuring for a i386-unknown-cygwin32 host.
Invalid configuration `i386-unknown-cygwin32': system `cygwin32' not recognized
Invalid configuration `i386-unknown-cygwin32': system `cygwin32' not recognized
Unrecognized host system name i386-unknown-cygwin32.
Checking if your kit is complete...
Looks good
Writing Makefile for Math::GMP
cp GMP.pm blib/lib/Math/GMP.pm
AutoSplitting blib/lib/Math/GMP.pm (blib/lib/auto/Math/GMP)
/usr/local/bin/perl -I/usr/local/lib/perl5/5.7.1/cygwin-multi -I/usr/local/lib/perl5/5.7.1 
/usr/local/lib/perl5/5.7.1/ExtUtils/xsubpp  -typemap /usr/local/lib/perl5/5.7.1/ExtUtils/typemap -typemap typemap 
GMP.xs > GMP.xsc && mv GMP.xsc GMP.c
Please specify prototyping behavior for GMP.xs (see perlxs manual)
gcc -c -Igmp/include -DPERL_USE_SAFE_PUTENV -fno-strict-aliasing -I/usr/local/include -DUSEIMPORTLIB -O2   -
DVERSION=\"1.07\" -DXS_VERSION=\"1.07\"  -I/usr/local/lib/perl5/5.7.1/cygwin-multi/CORE  GMP.c
Running Mkbootstrap for Math::GMP ()
chmod 644 GMP.bs
rm -f blib/arch/auto/Math/GMP/GMP.dll
LD_RUN_PATH="/usr/local/lib" ld2  -L/usr/local/lib GMP.o  -o blib/arch/auto/Math/GMP/GMP.dll  
/usr/local/lib/perl5/5.7.1/cygwin-multi/CORE/libperl5_7_1.a -lgmp  
dllwrap --dllname GMP.dll --driver-name gcc --dlltool dlltool --export-all-symbols --as as --output-def libGMP.def --
output-lib libGMP.a \
-L/usr/local/lib GMP.o  /usr/local/lib/perl5/5.7.1/cygwin-multi/CORE/libperl5_7_1.a -lgmp
dllwrap: no export definition file provided
dllwrap: creating one, but that may not be what you want
mv GMP.dll libGMP.a blib/arch/auto/Math/GMP/
chmod 755 blib/arch/auto/Math/GMP/GMP.dll
cp GMP.bs blib/arch/auto/Math/GMP/GMP.bs
chmod 644 blib/arch/auto/Math/GMP/GMP.bs
Manifying blib/man3/Math.GMP.3
  /usr/bin/make  -- OK
Running make test
PERL_DL_NONLAZY=1 /usr/local/bin/perl -Iblib/arch -Iblib/lib -I/usr/local/lib/perl5/5.7.1/cygwin-multi -
I/usr/local/lib/perl5/5.7.1 test.pl
1..297
ok 1
ok 2
[...]
ok 296
ok 297
  /usr/bin/make test -- OK
Running make install
Installing /usr/local/lib/perl5/site_perl/5.7.1/cygwin-multi/auto/Math/GMP/GMP.bs
Installing /usr/local/lib/perl5/site_perl/5.7.1/cygwin-multi/auto/Math/GMP/GMP.dll
Installing /usr/local/lib/perl5/site_perl/5.7.1/cygwin-multi/auto/Math/GMP/libGMP.a
Files found in blib/arch: installing files in blib/lib into architecture dependent library tree
Installing /usr/local/lib/perl5/site_perl/5.7.1/cygwin-multi/Math/GMP.pm
Installing /usr/local/lib/perl5/site_perl/5.7.1/cygwin-multi/auto/Math/GMP/autosplit.ix
Installing /usr/local/man/man3/Math.GMP.3
Writing /usr/local/lib/perl5/site_perl/5.7.1/cygwin-multi/auto/Math/GMP/.packlist
Appending installation info to /usr/local/lib/perl5/5.7.1/cygwin-multi/perllocal.pod
  /usr/bin/make install  -- OK

cpan> 

-- 
=^..^=

--
Want to unsubscribe from this list?
Check out: http://cygwin.com/ml/#unsubscribe-simple